package com.qmth.teachcloud.report.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 百分位result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/10
 */
public class SurveyTeacherGradeDistributionResult implements Serializable {

    @ApiModelProperty(value = "总体赋分前人数")
    private Integer allCountBefore;

    @ApiModelProperty(value = "总体赋分后人数")
    private Integer allCountAfter;

    @ApiModelProperty(value = "总体赋分前比率")
    private Double allCountRateBefore;

    @ApiModelProperty(value = "总体赋分后比率")
    private Double allCountRateAfter;

    @ApiModelProperty(value = "应届赋分前人数")
    private Integer currentCountBefore;

    @ApiModelProperty(value = "应届赋分后人数")
    private Integer currentCountAfter;

    @ApiModelProperty(value = "应届赋分前比率")
    private Double currentCountRateBefore;

    @ApiModelProperty(value = "应届赋分后比率")
    private Double currentCountRateAfter;

    @ApiModelProperty(value = "描述")
    private String describe;

    public SurveyTeacherGradeDistributionResult() {

    }

    public SurveyTeacherGradeDistributionResult(Integer allCountBefore, Integer allCountAfter,
                                                Integer currentCountBefore, Integer currentCountAfter,
                                                Double allCountRateBefore, Double allCountRateAfter,
                                                Double currentCountRateBefore, Double currentCountRateAfter, String describe) {
        this.allCountBefore = allCountBefore;
        this.allCountAfter = allCountAfter;
        this.currentCountBefore = currentCountBefore;
        this.currentCountAfter = currentCountAfter;
        this.allCountRateBefore = allCountRateBefore;
        this.allCountRateAfter = allCountRateAfter;
        this.currentCountRateBefore = currentCountRateBefore;
        this.currentCountRateAfter = currentCountRateAfter;
        this.describe = describe;
    }

    public Integer getAllCountBefore() {
        return allCountBefore;
    }

    public void setAllCountBefore(Integer allCountBefore) {
        this.allCountBefore = allCountBefore;
    }

    public Integer getAllCountAfter() {
        return allCountAfter;
    }

    public void setAllCountAfter(Integer allCountAfter) {
        this.allCountAfter = allCountAfter;
    }

    public Integer getCurrentCountBefore() {
        return currentCountBefore;
    }

    public void setCurrentCountBefore(Integer currentCountBefore) {
        this.currentCountBefore = currentCountBefore;
    }

    public Integer getCurrentCountAfter() {
        return currentCountAfter;
    }

    public void setCurrentCountAfter(Integer currentCountAfter) {
        this.currentCountAfter = currentCountAfter;
    }

    public Double getAllCountRateBefore() {
        return allCountRateBefore;
    }

    public void setAllCountRateBefore(Double allCountRateBefore) {
        this.allCountRateBefore = allCountRateBefore;
    }

    public Double getAllCountRateAfter() {
        return allCountRateAfter;
    }

    public void setAllCountRateAfter(Double allCountRateAfter) {
        this.allCountRateAfter = allCountRateAfter;
    }

    public Double getCurrentCountRateBefore() {
        return currentCountRateBefore;
    }

    public void setCurrentCountRateBefore(Double currentCountRateBefore) {
        this.currentCountRateBefore = currentCountRateBefore;
    }

    public Double getCurrentCountRateAfter() {
        return currentCountRateAfter;
    }

    public void setCurrentCountRateAfter(Double currentCountRateAfter) {
        this.currentCountRateAfter = currentCountRateAfter;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }
}
